Package org.lwjgl.opencl

# Class CLCompileProgramCallback

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opencl.CLCompileProgramCallback

All Implemented Interfaces:
  `PointerWrapper`

public abstract class CLCompileProgramCallback extends PointerWrapperAbstract
Instances of this class can be used to receive OpenCL program compilation notifications. A single CLCompileProgramCallback instance should only be used with programs created in the same CLContext.

Author:
  Spasi

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Constructor Summary

Constructors
Constructor
Description
`CLCompileProgramCallback()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`handleMessage(CLProgram program)`
The callback method.

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CLCompileProgramCallback

public CLCompileProgramCallback()

## Method Details

### handleMessage

protected abstract void handleMessage(CLProgram program)
The callback method.

Parameters:
  `program` - the CLProgram object affected